﻿using IRaCIS.Core.Domain.Share.Reading;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{
    public class GetReadModuleDto
    {
        public Guid? TrialId { get; set; }

        /// <summary>
        /// 页码
        /// </summary>
        public int PageIndex { get; set; } = 1;

        /// <summary>
        /// 每页大小
        /// </summary>
        public int PageSize { get; set; } = 10;

        /// <summary>
        /// 排序字段
        /// </summary>
        public string? SortField { get; set; }

        /// <summary>
        /// 排序字段
        /// </summary>
        public bool SortAsc { get; set; } = true;
    }

    public class GetReadModuleOutDto : ReadModule
    {

        public string SubjectCode { get; set; }

        public string SiteCode { get; set; }


        public string VisitName { get; set; }

        public Guid? SiteId { get; set; }
    }

    public class GetReadModuleResultDto
    {
        /// <summary>
        /// 当前页索引
        /// </summary>
        public int PageIndex { get; set; }

        /// <summary>
        /// 每页的记录条数
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// 数据总数
        /// </summary>
        public long TotalCount { get; set; } = 0;

        /// <summary>
        /// 最大长度
        /// </summary>
        public int MaxLength { get; set; }

        /// <summary>
        /// 数据
        /// </summary>
        public List<GetReadModuleDtoOut> CurrentPageData { get; set; }

      
    }
        
        

    public class GetReadModuleDtoOut
    {
        public string SubjectCode { get; set; }

        public string SiteCode { get; set; }

        public Guid? SiteId { get; set; }

        public Guid? SubjectId { get; set; }

        public List<GetReadModuleOutDto> Data { get; set; }
    }
}
